## libzip 0.9

=== regress/CMakeLists.txt ===
# $NiH$

ENABLE_TESTING()

SET(TEST_PROGRAMS
  add_from_buffer
  add_from_file
  add_from_filep
  encrypt
  fread
  get_comment
  name_locate
  open
  set_comment_all
  set_comment_localonly
  set_comment_removeglobal
  set_comment_revert
)

SET(ENV{srcdir} ${CMAKE_CURRENT_SOURCE_DIR})
FOREACH(PROGRAM ${TEST_PROGRAMS})
  ADD_EXECUTABLE(${PROGRAM} ${PROGRAM}.c)
  TARGET_LINK_LIBRARIES(${PROGRAM} zip)
  ADD_TEST(${PROGRAM} ${CMAKE_CURRENT_SOURCE_DIR}/runtest ${CMAKE_CURRENT_SOURCE_DIR}/${PROGRAM})
ENDFOREACH(PROGRAM ${TEST_PROGRAMS})

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../lib)

## libzip 0.9.3

=== lib/CMakeLists.txt ===
# $NiH$

INCLUDE(CheckFunctionExists)

INSTALL(FILES zip.h DESTINATION include)

# from http://www.cmake.org/Wiki/CMakeMacroLibtoolFile
MACRO(GET_TARGET_PROPERTY_WITH_DEFAULT _variable _target _property _default_value)
  
  GET_TARGET_PROPERTY (${_variable} ${_target} ${_property})
  IF (${_variable} STREQUAL NOTFOUND)
    SET (${_variable} ${_default_value})
  ENDIF (${_variable} STREQUAL NOTFOUND)
  
ENDMACRO (GET_TARGET_PROPERTY_WITH_DEFAULT)
  
MACRO(CREATE_LIBTOOL_FILE _target _install_DIR)
  GET_TARGET_PROPERTY(_target_location ${_target} LOCATION)
  GET_TARGET_PROPERTY_WITH_DEFAULT(_target_static_lib ${_target} STATIC_LIB "")
  GET_TARGET_PROPERTY_WITH_DEFAULT(_target_dependency_libs ${_target} LT_DEPENDENCY_LIBS "")
  GET_TARGET_PROPERTY_WITH_DEFAULT(_target_current ${_target} LT_VERSION_CURRENT 0)
  GET_TARGET_PROPERTY_WITH_DEFAULT(_target_age ${_target} LT_VERSION_AGE 0)
  GET_TARGET_PROPERTY_WITH_DEFAULT(_target_revision ${_target} LT_VERSION_REVISION 0)
  GET_TARGET_PROPERTY_WITH_DEFAULT(_target_installed ${_target} LT_INSTALLED yes)
  GET_TARGET_PROPERTY_WITH_DEFAULT(_target_shouldnotlink ${_target} LT_SHOULDNOTLINK yes)
  GET_TARGET_PROPERTY_WITH_DEFAULT(_target_dlopen ${_target} LT_DLOPEN "")
  GET_TARGET_PROPERTY_WITH_DEFAULT(_target_dlpreopen ${_target} LT_DLPREOPEN "")
  GET_FILENAME_COMPONENT(_laname ${_target_location} NAME_WE)
  GET_FILENAME_COMPONENT(_soname ${_target_location} NAME)
  SET(_laname ${_laname}.la)
  FILE(WRITE ${_laname} "# ${_laname} - a libtool library file, generated by cmake \n")
  FILE(APPEND ${_laname} "# The name that we can dlopen(3).\n")
  FILE(APPEND ${_laname} "dlname='${_soname}'\n")
  FILE(APPEND ${_laname} "# Names of this library\n")
  FILE(APPEND ${_laname} "library_names='${_soname}.${_target_current}.${_target_age}.${_target_revision} ${_soname}.${_target_current} ${_soname}'\n")
  FILE(APPEND ${_laname} "# The name of the static archive\n")
  FILE(APPEND ${_laname} "old_library='${_target_static_lib}'\n")
  FILE(APPEND ${_laname} "# Libraries that this one depends upon.\n")
  FILE(APPEND ${_laname} "dependency_libs='${_target_dependency_libs}'\n")
  FILE(APPEND ${_laname} "# Version information.\n")
  FILE(APPEND ${_laname} "current=${_target_current}\n")
  FILE(APPEND ${_laname} "age=${_target_age}\n")
  FILE(APPEND ${_laname} "revision=${_target_revision}\n")
  FILE(APPEND ${_laname} "# Is this an already installed library?\n")
  FILE(APPEND ${_laname} "installed=${_target_installed}\n")
  FILE(APPEND ${_laname} "# Should we warn about portability when linking against -modules?\n")
  FILE(APPEND ${_laname} "shouldnotlink=${_target_shouldnotlink}\n")
  FILE(APPEND ${_laname} "# Files to dlopen/dlpreopen\n")
  FILE(APPEND ${_laname} "dlopen='${_target_dlopen}'\n")
  FILE(APPEND ${_laname} "dlpreopen='${_target_dlpreopen}'\n")
  FILE(APPEND ${_laname} "# Directory that this library needs to be installed in:\n")
  FILE(APPEND ${_laname} "libdir='${CMAKE_INSTALL_PREFIX}/${_install_DIR}'\n")
  INSTALL( FILES ${_laname} ${_soname}
    DESTINATION ${CMAKE_INSTALL_PREFIX}${_install_DIR})
ENDMACRO(CREATE_LIBTOOL_FILE)
 
SET(LIBZIP_SOURCES
  zip_add.c
  zip_add_dir.c
  zip_close.c
  zip_delete.c
  zip_dirent.c
  zip_entry_free.c
  zip_entry_new.c
  ${CMAKE_CURRENT_BINARY_DIR}/zip_err_str.c
  zip_error.c
  zip_error_clear.c
  zip_error_get.c
  zip_error_get_sys_type.c
  zip_error_strerror.c
  zip_error_to_str.c
  zip_fclose.c
  zip_file_error_clear.c
  zip_file_error_get.c
  zip_file_get_offset.c
  zip_file_strerror.c
  zip_fopen.c
  zip_fopen_index.c
  zip_fread.c
  zip_free.c
  zip_get_archive_comment.c
  zip_get_file_comment.c
  zip_get_num_files.c
  zip_get_name.c
  zip_memdup.c
  zip_name_locate.c
  zip_new.c
  zip_open.c
  zip_rename.c
  zip_replace.c
  zip_set_archive_comment.c
  zip_set_file_comment.c
  zip_source_buffer.c
  zip_source_file.c
  zip_source_filep.c
  zip_source_free.c
  zip_source_function.c
  zip_source_zip.c
  zip_set_name.c
  zip_stat.c
  zip_stat_index.c
  zip_stat_init.c
  zip_strerror.c
  zip_unchange.c
  zip_unchange_all.c
  zip_unchange_archive.c
  zip_unchange_data.c
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/..)

# XXX: distribute instead?
ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/zip_err_str.c
  COMMAND sh ${CMAKE_CURRENT_SOURCE_DIR}/make_zip_err_str.sh
    ${CMAKE_CURRENT_SOURCE_DIR}/zip.h
    ${CMAKE_CURRENT_BINARY_DIR}/zip_err_str.c
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/zip.h
    ${CMAKE_CURRENT_SOURCE_DIR}/make_zip_err_str.sh
)
CHECK_FUNCTION_EXISTS(mkstemp HAVE_MKSTEMP)
IF(NOT HAVE_MKSTEMP)
  SET(LIBZIP_EXTRA_FILES mkstemp.c)
ENDIF(NOT HAVE_MKSTEMP)

ADD_LIBRARY(zip SHARED ${LIBZIP_SOURCES} ${LIBZIP_EXTRA_FILES})
SET_TARGET_PROPERTIES(zip PROPERTIES VERSION 1.0 SOVERSION 1 )
TARGET_LINK_LIBRARIES(zip z)
#CREATE_LIBTOOL_FILE(zip lib)

=== src/CMakeLists.txt ===
# $NiH$

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../lib
  ${CMAKE_CURRENT_BINARY_DIR}/..)

ADD_EXECUTABLE(zipcmp zipcmp.c)
TARGET_LINK_LIBRARIES(zipcmp zip)

ADD_EXECUTABLE(zipmerge zipmerge.c)
TARGET_LINK_LIBRARIES(zipmerge zip)

=== debian/changelog ===
libzip (0.9.3-1) unstable; urgency=low

  * New upstream release. (Closes: #567769)
  * Drop patch to support archives with 64k entries - stolen upstream.
  * Add libzip1 symbols file.
  * Switch to dpkg-source 3.0 (quilt) format:
    - drop quilt build dependency.
  * Switch to dh:
    - drop cdbs build dependency.
    - bump debhelper build dependency version to 7.4.15.
    - enable parallel build (pass --parallel option to dh).
  * Bump Standards-Version to 3.8.4 (no changes needed).
  * Update debian/copyright file:
    - upstream contact e-mail, years and explicit GPL version.

 -- Fathi Boudra <fabo@debian.org>  Wed, 24 Mar 2010 10:55:48 +0100

libzip (0.9-3) unstable; urgency=low

  * Add patch to support archives with 64k entries. (Closes: #536215)
    Thanks to Dieter Baron.

 -- Fathi Boudra <fabo@debian.org>  Tue, 28 Jul 2009 22:21:37 +0200

libzip (0.9-2) unstable; urgency=low

  * Fix shlibs. (Closes: #537954)

 -- Fathi Boudra <fabo@debian.org>  Sat, 25 Jul 2009 11:47:15 +0200

libzip (0.9-1) unstable; urgency=low

  * New upstream release (Closes: #537349)

  [ Fathi Boudra ]
  * Add ziptorrent package.

  [ Matthew Rosewarne ]
  * Update debian/control: add Homepage field.
  * Add watch file.

 -- Fathi Boudra <fabo@debian.org>  Fri, 17 Jul 2009 15:01:02 +0200

libzip (0.8-1) unstable; urgency=low

  * Initial release. (Closes: #446583)

 -- Fathi Boudra <fboudra@free.fr>  Sun, 14 Oct 2007 09:20:12 +0200

=== debian/control ===
Source: libzip
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), autotools-dev, zlib1g-dev
Standards-Version: 3.8.4
Section: libs
Homepage: http://www.nih.at/libzip/

Package: libzip-dev
Section: libdevel
Architecture: any
Depends: libzip1 (= ${binary:Version}), ${misc:Depends}, zlib1g-dev
Description: library for reading, creating, and modifying zip archives (development)
 libzip is a C library for reading, creating, and modifying zip archives. Files
 can be added from data buffers, files, or compressed data copied directly from
 other zip archives. Changes made without closing the archive can be reverted.
 .
 This package contains the static libraries and headers for developing
 applications that use the libzip library API.

Package: libzip1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for reading, creating, and modifying zip archives (runtime)
 libzip is a C library for reading, creating, and modifying zip archives. Files
 can be added from data buffers, files, or compressed data copied directly from
 other zip archives. Changes made without closing the archive can be reverted.
 .
 This package contains the files necessary for running applications that
 use the libzip library.

Package: zipcmp
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: compare contents of zip archives
 zipcmp compares two zip archives and checks if they contain the same files,
 comparing their names, uncompressed sizes, and CRCs. File order and compressed
 size differences are ignored.

Package: zipmerge
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: merge zip archives
 zipmerge merges a source zip archives into a target zip archive.
 By default, files in the source zip archives overwrite existing files of the
 same name in the target zip archive.

Package: ziptorrent
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: torrentzip zip archives
 ziptorrent torrentzips archive. This is a restricted file format used for
 using bittorrent on zip files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --parallel --list-missing $@

.PHONY: override_dh_auto_test

## libzip 0.9.3-3maemo0

=== debian/changelog ===
libzip (0.9.3-3maemo0) unstable; urgency=low
  * Initial port for Fremantle
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Fri,  5 Oct 2012 17:51:01 +0200

libzip (0.9-3-3+0m6) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.9-3-3+0m6

 -- BIFH Bot <sysint@maemo.research.nokia.com>  Tue, 22 Mar 2011 12:21:38 +0200

libzip (0.9-3-3) unstable; urgency=low

  Changed -dbg package to have the correct names.
  * Fixes: NB#231556 - libzip1 is missing debug symbols

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Tue, 22 Mar 2011 12:21:37 +0200

libzip (0.9-3-1) unstable; urgency=low

  Added the -dbg package for debug symbols
  * Fixes: NB#231556 - libzip1 is missing debug symbols

 -- Juhani Mäkelä <ext-juhani.3.makela@nokia.com>  Mon, 14 Mar 2011 12:32:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libzip
 Priority: optional
-Maintainer: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.15), autotools-dev, zlib1g-dev
-Standards-Version: 3.8.4
+Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
+XSBC-Original-Maintainer: Fathi Boudra <fabo@debian.org>
+Build-Depends: cdbs, debhelper7 (>= 7), quilt, autotools-dev, zlib1g-dev, maemo-optify, cmake
+Standards-Version: 3.8.2
 Section: libs
 Homepage: http://www.nih.at/libzip/
 
 Package: libzip-dev
 Section: libdevel
 Architecture: any
-Depends: libzip1 (= ${binary:Version}), ${misc:Depends}, zlib1g-dev
+Depends: libzip1 (= ${binary:Version}), zlib1g-dev
 Description: library for reading, creating, and modifying zip archives (development)
  libzip is a C library for reading, creating, and modifying zip archives. Files
  can be added from data buffers, files, or compressed data copied directly from
@@ -19,6 +20,7 @@
  applications that use the libzip library API.
 
 Package: libzip1
+Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library for reading, creating, and modifying zip archives (runtime)
@@ -54,3 +56,40 @@
 Description: torrentzip zip archives
  ziptorrent torrentzips archive. This is a restricted file format used for
  using bittorrent on zip files.
+
+Package: libzip1-dbg
+Section: libdevel
+Architecture: any
+Depends: libzip1 (= ${binary:Version})
+Description: Debug symbols for library for manipulating zip archives
+ libzip is a C library for reading, creating, and modifying zip archives. Files
+ can be added from data buffers, files, or compressed data copied directly from
+ other zip archives. Changes made without closing the archive can be reverted.
+ .
+ This package contains the debug symbols for the libzip library.
+
+Package: zipcmp-dbg
+Section: debug
+Architecture: any
+Depends: zipcmp (= ${binary:Version})
+Description: Debug symbols for compare contents of zip archives
+ zipcmp compares two zip archives and checks if they contain the same files,
+ comparing their names, uncompressed sizes, and CRCs. File order and compressed
+ size differences are ignored.
+
+Package: zipmerge-dbg
+Section: debug
+Architecture: any
+Depends: zipmerge (= ${binary:Version})
+Description: Debug symbols for merge zip archives
+ zipmerge merges a source zip archives into a target zip archive.
+ By default, files in the source zip archives overwrite existing files of the
+ same name in the target zip archive.
+
+Package: ziptorrent-dbg
+Section: debug
+Architecture: any
+Depends: ziptorrent (= ${binary:Version})
+Description: Debug symbols for torrentzip zip archives
+ ziptorrent torrentzips archive. This is a restricted file format used for
+ using bittorrent on zip files.

=== debian/rules ===
#!/usr/bin/make -f

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_MAKESHLIBS_ARGS_ALL := -V
CFLAGS += -g
#DEB_DH_STRIP_ARGS := --dbg-package=libzip-dbg
DEB_DBG_PACKAGE_libzip1 = libzip1-dbg
DEB_DBG_PACKAGE_zipcmp = zipcmp-dbg
DEB_DBG_PACKAGE_zipmerge = zipmerge-dbg
DEB_DBG_PACKAGE_ziptorrent = ziptorrent-dbg

override_dh_gencontrol:
	dh_gencontrol
	maemo-optify

=== debian/watch ===
version=3

http://www.nih.at/libzip/libzip-(.*)\.tar\.gz

## libzip 0.10

=== debian/changelog ===
libzip (0.10-1ubuntu1) precise; urgency=low

  * SECURITY UPDATE: arbitrary code execution or information leak via
    heap overflow and numeric overflow.
    - debian/patches/CVE-2012-116x.patch: fix overflow and loop in
      lib/zip_open.c.
    - CVE-2012-1162
    - CVE-2012-1163

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 28 Mar 2012 15:05:00 -0400

libzip (0.10-1) unstable; urgency=low

  * New upstream release. (Closes: #647131)
  * Add patches:
    - fix_open_nonarchive_test.patch
    - fix_zipconf_path.patch
  * Update debian/compat: bump to 8.
  * Update debian/rules:
    - build depends on dh-autoreconf.
    - bump debhelper build dependency to 8.0.0.
    - bump Standards-Version to 3.9.0 - no changes needed.
    - rename libzip1 to libzip2 (bump soname).
  * Update debian/rules:
    - use dh with autoreconf.
    - drop override_dh_auto_test.
  * Update debian/*.install files.

 -- Fathi Boudra <fabo@debian.org>  Sat, 31 Dec 2011 14:39:13 +0200

=== debian/control ===
Source: libzip
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, zlib1g-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.nih.at/libzip/

Package: libzip-dev
Section: libdevel
Architecture: any
Depends: libzip2 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
Description: library for reading, creating, and modifying zip archives (development)
 libzip is a C library for reading, creating, and modifying zip archives. Files
 can be added from data buffers, files, or compressed data copied directly from
 other zip archives. Changes made without closing the archive can be reverted.
 .
 This package contains the static libraries and headers for developing
 applications that use the libzip library API.

Package: libzip2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for reading, creating, and modifying zip archives (runtime)
 libzip is a C library for reading, creating, and modifying zip archives. Files
 can be added from data buffers, files, or compressed data copied directly from
 other zip archives. Changes made without closing the archive can be reverted.
 .
 This package contains the files necessary for running applications that
 use the libzip library.

Package: zipcmp
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: compare contents of zip archives
 zipcmp compares two zip archives and checks if they contain the same files,
 comparing their names, uncompressed sizes, and CRCs. File order and compressed
 size differences are ignored.

Package: zipmerge
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: merge zip archives
 zipmerge merges a source zip archives into a target zip archive.
 By default, files in the source zip archives overwrite existing files of the
 same name in the target zip archive.

Package: ziptorrent
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: torrentzip zip archives
 ziptorrent torrentzips archive. This is a restricted file format used for
 using bittorrent on zip files.

## libzip 0.10.1

=== CMakeLists.txt ===
# XXX: TODO
# 1. pkgconfig file not yet built.
# 2. installation not tested.
# 3. Problems generating html pages.
# 4. distribution tarball not checked for unwanted/missing content.
# 5. create usable libtool .la file

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(libzip C)

INCLUDE(CheckFunctionExists)
INCLUDE(CheckIncludeFiles)
INCLUDE(CheckSymbolExists)
INCLUDE(CheckTypeSize)
INCLUDE(CheckCSourceRuns)
INCLUDE(CheckCSourceCompiles)

SET(PACKAGE "libzip")
SET(PACKAGE_NAME ${PACKAGE})
SET(PACKAGE_VERSION_MAJOR "0")
SET(PACKAGE_VERSION_MINOR "10")
SET(PACKAGE_VERSION_PATCH "1")
SET(VERSION "${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH}")
SET(PACKAGE_VERSION ${VERSION})
SET(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")

# Checks

CHECK_FUNCTION_EXISTS(_open HAVE__OPEN)
CHECK_FUNCTION_EXISTS(_snprintf HAVE__SNPRINTF)
CHECK_FUNCTION_EXISTS(_strcmpi HAVE__STRCMPI)
CHECK_FUNCTION_EXISTS(_strdup HAVE__STRDUP)
CHECK_FUNCTION_EXISTS(_stricmp HAVE__STRICMP)
CHECK_FUNCTION_EXISTS(fseeko HAVE_FSEEKO)
CHECK_FUNCTION_EXISTS(ftello HAVE_FTELLO)
CHECK_FUNCTION_EXISTS(open HAVE_OPEN)
CHECK_FUNCTION_EXISTS(mkstemp HAVE_MKSTEMP)
CHECK_FUNCTION_EXISTS(snprintf HAVE_SNPRINTF)
CHECK_FUNCTION_EXISTS(strcasecmp HAVE_STRCASECMP)
CHECK_FUNCTION_EXISTS(strdup HAVE_STRDUP)
CHECK_SYMBOL_EXISTS(MoveFileExA windows.h HAVE_MOVEFILEEXA)
CHECK_INCLUDE_FILES(unistd.h HAVE_UNISTD_H)

CHECK_INCLUDE_FILES(sys/types.h HAVE_SYS_TYPES_H_LIBZIP)
CHECK_INCLUDE_FILES(inttypes.h HAVE_INTTYPES_H_LIBZIP)
CHECK_INCLUDE_FILES(stdint.h HAVE_STDINT_H_LIBZIP)
CHECK_TYPE_SIZE(int8_t INT8_T_LIBZIP)
CHECK_TYPE_SIZE(uint8_t UINT8_T_LIBZIP)
CHECK_TYPE_SIZE(int16_t INT16_T_LIBZIP)
CHECK_TYPE_SIZE(uint16_t UINT16_T_LIBZIP)
CHECK_TYPE_SIZE(int32_t INT32_T_LIBZIP)
CHECK_TYPE_SIZE(uint32_t UINT32_T_LIBZIP)
CHECK_TYPE_SIZE(int64_t INT64_T_LIBZIP)
CHECK_TYPE_SIZE(uint64_t UINT64_T_LIBZIP)
CHECK_TYPE_SIZE("short" SHORT_LIBZIP)
CHECK_TYPE_SIZE("int" INT_LIBZIP)
CHECK_TYPE_SIZE("long" LONG_LIBZIP)
CHECK_TYPE_SIZE("long long" LONGLONG_LIBZIP)

FIND_PACKAGE(ZLIB REQUIRED)
INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
set(CMAKE_REQUIRED_INCLUDES ${ZLIB_INCLUDE_DIR})
CHECK_SYMBOL_EXISTS(ZEXPORT zlib.h HAVE_ZEXPORT)
IF(NOT HAVE_ZEXPORT)
  MESSAGE(FATAL_ERROR "-- ZLIB version too old, please install at least v1.1.2")
ENDIF(NOT HAVE_ZEXPORT)

# Targets
ADD_SUBDIRECTORY(lib)
ADD_SUBDIRECTORY(man)
ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(regress)


# XXX: pkgconfig file

# installation

# XXX: pkgconfig file

# packaging

SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "library for manipulating zip archives")
SET(CPACK_PACKAGE_VENDOR "Dieter Baron <dillo@giga.or.at> and Thomas Klausner <tk@giga.or.at>")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
SET(CPACK_PACKAGE_VERSION_MAJOR ${PACKAGE_VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${PACKAGE_VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${PACKAGE_VERSION_PATCH})
SET(CPACK_SOURCE_PACKAGE_FILE_NAME ${PACKAGE_NAME}-${PACKAGE_VERSION})
SET(CPACK_GENERATOR "TGZ")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
  ".a$"
  ".cmake$"
  ".o$"
  ".so$"
  "/.deps/"
  "/.libs/"
  "/CMakeFiles/"
  "/CVS/"
  "/autom4te.cache/"
  "/build"
  "/broken"
  "/docs/"
  "AdditionalInfo.txt$"
  "CMakeCache.txt$"
  "Makefile$"
  "\\\\.sh$"
  "_CPack_"
  "config.h$"
  "config.log$"
  "config.status$"
  "html$"
  "install_manifest.txt$"
  "stamp-h1$"
  "tar.bz2"
  "tar.gz"
  "~$"
)
SET(CPACK_SOURCE_STRIP_FILES "")
INCLUDE(CPack)

# write out config file
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/cmake-config.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/config.h)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/cmake-zipconf.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/zipconf.h)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/zipconf.h DESTINATION lib/libzip/include)

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../lib
  ${CMAKE_CURRENT_BINARY_DIR}/..)

CHECK_FUNCTION_EXISTS(getopt HAVE_GETOPT)
IF(NOT HAVE_GETOPT)
  SET(SRC_EXTRA_FILES getopt.c)
ENDIF(NOT HAVE_GETOPT)

ADD_EXECUTABLE(zipcmp zipcmp.c ${SRC_EXTRA_FILES})
TARGET_LINK_LIBRARIES(zipcmp zip)
INSTALL(TARGETS zipcmp RUNTIME DESTINATION bin)

ADD_EXECUTABLE(zipmerge zipmerge.c ${SRC_EXTRA_FILES})
TARGET_LINK_LIBRARIES(zipmerge zip)
INSTALL(TARGETS zipmerge RUNTIME DESTINATION bin)

ADD_EXECUTABLE(ziptorrent ziptorrent.c ${SRC_EXTRA_FILES})
TARGET_LINK_LIBRARIES(ziptorrent zip)
INSTALL(TARGETS ziptorrent RUNTIME DESTINATION bin)

=== debian/changelog ===
libzip (0.10.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: dh_auto_test: make -j1 check returned exit code 2":
    add patch fix_autotools_tests.diff (autotools test fix, backported from
    upstream 0.11.1), taken from Ubuntu package. Thanks, Bjoern Michaelsen.
    (Closes: #713393, LP: #1197023)

 -- gregor herrmann <gregoa@debian.org>  Sun, 03 Nov 2013 15:27:06 +0100

libzip (0.10.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Re-enable tests
  * Fix broken decrypt on amd64 (Closes: 665225).

 -- Luk Claes <luk@debian.org>  Sat, 07 Jul 2012 02:03:46 +0000

libzip (0.10.1-1) unstable; urgency=low

  * New upstream release: fix CVE-2012-1162 and CVE-2012-1163
    Incorrect loop construct and numeric overflow. (Closes: #664990, #665957)

 -- Fathi Boudra <fabo@debian.org>  Mon, 21 May 2012 15:16:11 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libzip
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, zlib1g-dev
-Standards-Version: 3.9.2
+Maintainer: Fathi Boudra <fabo@debian.org>
+Build-Depends: debhelper (>= 8), dh-autoreconf, zlib1g-dev
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://www.nih.at/libzip/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --list-missing --with autoreconf

## libzip 0.11.2

=== debian/changelog ===
libzip (0.11.2-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Add CVE-2015-2331.patch patch.
    CVE-2015-2331: ZIP integer overflow leads to writing past heap boundary.
    (Closes: #780756)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 20 Mar 2015 20:17:45 +0100

libzip (0.11.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Put a symlink to zipconf.h on the default search path, so that
    packages that do not use pkg-config to locate libzip will not FTBFS.
    Thanks to Simon McVittie (Closes: #739308).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 06 Aug 2014 15:38:27 +0200

libzip (0.11.2-1) unstable; urgency=medium

  * New upstream release (Closes: #734388).
  * Remove patches:
    - fix_open_nonarchive_test.patch - fixed upstream
    - fix_zipconf_path.patch - fixed upstream
    - fix_broken_decrypt.patch - fixed upstream
    - fix_autotools_tests.diff - stolen upstream
  * Update debian/control:
    - add unzip to Build-Depends.
    - bump compat to 9
  * Update *.install: multiarch paths.
  * Update libzip2 symbols file.

 -- Fathi Boudra <fabo@debian.org>  Sun, 09 Feb 2014 13:24:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libzip
 Priority: optional
 Maintainer: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 8), dh-autoreconf, zlib1g-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dh-autoreconf, unzip, zlib1g-dev
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://www.nih.at/libzip/

## libzip 1.0.1

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# $NiH$
-
 INCLUDE(CheckFunctionExists)
 
 INSTALL(FILES zip.h DESTINATION include)
@@ -18,9 +16,9 @@
   GET_TARGET_PROPERTY(_target_location ${_target} LOCATION)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_static_lib ${_target} STATIC_LIB "")
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_dependency_libs ${_target} LT_DEPENDENCY_LIBS "")
-  GET_TARGET_PROPERTY_WITH_DEFAULT(_target_current ${_target} LT_VERSION_CURRENT 0)
+  GET_TARGET_PROPERTY_WITH_DEFAULT(_target_current ${_target} LT_VERSION_CURRENT 4)
+  GET_TARGET_PROPERTY_WITH_DEFAULT(_target_revision ${_target} LT_VERSION_REVISION 0)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_age ${_target} LT_VERSION_AGE 0)
-  GET_TARGET_PROPERTY_WITH_DEFAULT(_target_revision ${_target} LT_VERSION_REVISION 0)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_installed ${_target} LT_INSTALLED yes)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_shouldnotlink ${_target} LT_SHOULDNOTLINK yes)
   GET_TARGET_PROPERTY_WITH_DEFAULT(_target_dlopen ${_target} LT_DLOPEN "")
@@ -57,31 +55,52 @@
 SET(LIBZIP_SOURCES
   zip_add.c
   zip_add_dir.c
+  zip_add_entry.c
+  zip_buffer.c
   zip_close.c
   zip_delete.c
+  zip_dir_add.c
   zip_dirent.c
-  zip_entry_free.c
-  zip_entry_new.c
-  ${CMAKE_CURRENT_BINARY_DIR}/zip_err_str.c
+  zip_discard.c
+  zip_entry.c
+  zip_err_str.c
   zip_error.c
   zip_error_clear.c
   zip_error_get.c
   zip_error_get_sys_type.c
   zip_error_strerror.c
   zip_error_to_str.c
+  zip_extra_field.c
+  zip_extra_field_api.c
   zip_fclose.c
+  zip_fdopen.c
+  zip_file_add.c
   zip_file_error_clear.c
   zip_file_error_get.c
+  zip_file_get_comment.c
+  zip_file_get_external_attributes.c
   zip_file_get_offset.c
+  zip_file_rename.c
+  zip_file_replace.c
+  zip_file_set_comment.c
+  zip_file_set_external_attributes.c
+  zip_file_set_mtime.c
   zip_file_strerror.c
+  zip_filerange_crc.c
   zip_fopen.c
+  zip_fopen_encrypted.c
   zip_fopen_index.c
+  zip_fopen_index_encrypted.c
   zip_fread.c
-  zip_free.c
   zip_get_archive_comment.c
+  zip_get_archive_flag.c
+  zip_get_compression_implementation.c
+  zip_get_encryption_implementation.c
   zip_get_file_comment.c
+  zip_get_name.c
+  zip_get_num_entries.c
   zip_get_num_files.c
-  zip_get_name.c
+  zip_io_util.c
   zip_memdup.c
   zip_name_locate.c
   zip_new.c
@@ -89,41 +108,85 @@
   zip_rename.c
   zip_replace.c
   zip_set_archive_comment.c
+  zip_set_archive_flag.c
+  zip_set_default_password.c
   zip_set_file_comment.c
+  zip_set_file_compression.c
+  zip_set_name.c
+  zip_source_begin_write.c
   zip_source_buffer.c
-  zip_source_file.c
+  zip_source_call.c
+  zip_source_close.c
+  zip_source_commit_write.c
+  zip_source_crc.c
+  zip_source_deflate.c
+  zip_source_error.c
   zip_source_filep.c
   zip_source_free.c
   zip_source_function.c
+  zip_source_is_deleted.c
+  zip_source_layered.c
+  zip_source_open.c
+  zip_source_pkware.c
+  zip_source_read.c
+  zip_source_remove.c
+  zip_source_rollback_write.c
+  zip_source_seek.c
+  zip_source_seek_write.c
+  zip_source_stat.c
+  zip_source_supports.c
+  zip_source_tell.c
+  zip_source_tell_write.c
+  zip_source_window.c
+  zip_source_write.c
   zip_source_zip.c
-  zip_set_name.c
+  zip_source_zip_new.c
   zip_stat.c
   zip_stat_index.c
   zip_stat_init.c
   zip_strerror.c
+  zip_string.c
   zip_unchange.c
   zip_unchange_all.c
   zip_unchange_archive.c
   zip_unchange_data.c
+  zip_utf-8.c
 )
+
+IF(WIN32)
+  SET(LIBZIP_OPSYS_FILES
+    zip_source_win32a.c
+    zip_source_win32handle.c
+    zip_source_win32utf8.c
+    zip_source_win32w.c
+  )
+ELSE(WIN32)
+  SET(LIBZIP_OPSYS_FILES
+    zip_source_file.c
+  )
+ENDIF(WIN32)
 
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}/..)
 
-# XXX: distribute instead?
-ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/zip_err_str.c
-  COMMAND sh ${CMAKE_CURRENT_SOURCE_DIR}/make_zip_err_str.sh
-    ${CMAKE_CURRENT_SOURCE_DIR}/zip.h
-    ${CMAKE_CURRENT_BINARY_DIR}/zip_err_str.c
-  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/zip.h
-    ${CMAKE_CURRENT_SOURCE_DIR}/make_zip_err_str.sh
-)
+# TODO: distribute instead?
+#ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/zip_err_str.c
+#  COMMAND sh ${CMAKE_CURRENT_SOURCE_DIR}/make_zip_err_str.sh
+#    ${CMAKE_CURRENT_SOURCE_DIR}/zip.h
+#    ${CMAKE_CURRENT_BINARY_DIR}/zip_err_str.c
+#  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/zip.h
+#    ${CMAKE_CURRENT_SOURCE_DIR}/make_zip_err_str.sh
+#)
 CHECK_FUNCTION_EXISTS(mkstemp HAVE_MKSTEMP)
 IF(NOT HAVE_MKSTEMP)
   SET(LIBZIP_EXTRA_FILES mkstemp.c)
 ENDIF(NOT HAVE_MKSTEMP)
 
-ADD_LIBRARY(zip SHARED ${LIBZIP_SOURCES} ${LIBZIP_EXTRA_FILES})
-SET_TARGET_PROPERTIES(zip PROPERTIES VERSION 1.0 SOVERSION 1 )
-TARGET_LINK_LIBRARIES(zip z)
+ADD_LIBRARY(zip SHARED ${LIBZIP_SOURCES} ${LIBZIP_EXTRA_FILES} ${LIBZIP_OPSYS_FILES})
+SET_TARGET_PROPERTIES(zip PROPERTIES VERSION 3.0 SOVERSION 3 )
+TARGET_LINK_LIBRARIES(zip ${ZLIB_LIBRARY})
+INSTALL(TARGETS zip
+  RUNTIME DESTINATION bin
+  ARCHIVE DESTINATION lib
+  LIBRARY DESTINATION lib)
 #CREATE_LIBTOOL_FILE(zip lib)

=== man/CMakeLists.txt ===
SET(MDOC3_PAGES
  ZIP_SOURCE_GET_ARGS.mdoc
  libzip.mdoc
  zip_add.mdoc
  zip_add_dir.mdoc
  zip_close.mdoc
  zip_delete.mdoc
  zip_dir_add.mdoc
  zip_discard.mdoc
  zip_error_clear.mdoc
  zip_error_code_system.mdoc
  zip_error_code_zip.mdoc
  zip_error_fini.mdoc
  zip_error_get.mdoc
  zip_error_get_sys_type.mdoc
  zip_error_init.mdoc
  zip_error_set.mdoc
  zip_error_strerror.mdoc
  zip_error_system_type.mdoc
  zip_error_to_data.mdoc
  zip_error_to_str.mdoc
  zip_errors.mdoc
  zip_fclose.mdoc
  zip_fdopen.mdoc
  zip_file_add.mdoc
  zip_file_extra_field_delete.mdoc
  zip_file_extra_field_get.mdoc
  zip_file_extra_field_set.mdoc
  zip_file_extra_fields_count.mdoc
  zip_file_get_comment.mdoc 
  zip_file_get_error.mdoc
  zip_file_rename.mdoc
  zip_file_set_comment.mdoc
  zip_file_strerror.mdoc
  zip_fopen.mdoc
  zip_fopen_encrypted.mdoc
  zip_fread.mdoc
  zip_get_archive_comment.mdoc
  zip_get_archive_flag.mdoc
  zip_get_error.mdoc
  zip_get_file_comment.mdoc
  zip_get_name.mdoc
  zip_get_num_entries.mdoc
  zip_get_num_files.mdoc
  zip_name_locate.mdoc
  zip_open.mdoc
  zip_rename.mdoc
  zip_set_archive_comment.mdoc
  zip_set_archive_flag.mdoc
  zip_set_default_password.mdoc
  zip_set_file_comment.mdoc
  zip_set_file_compression.mdoc
  zip_source_begin_write.mdoc
  zip_source_buffer.mdoc
  zip_source_close.mdoc
  zip_source_commit_write.mdoc
  zip_source_error.mdoc
  zip_source_file.mdoc
  zip_source_filep.mdoc
  zip_source_free.mdoc
  zip_source_function.mdoc
  zip_source_is_deleted.mdoc
  zip_source_keep.mdoc
  zip_source_make_command_bitmap.mdoc
  zip_source_open.mdoc
  zip_source_read.mdoc
  zip_source_rollback_write.mdoc
  zip_source_seek.mdoc
  zip_source_seek_compute_offset.mdoc
  zip_source_seek_write.mdoc
  zip_source_stat.mdoc
  zip_source_tell.mdoc
  zip_source_tell_write.mdoc
  zip_source_win32a.mdoc
  zip_source_win32handle.mdoc
  zip_source_win32w.mdoc
  zip_source_write.mdoc
  zip_source_zip.mdoc
  zip_stat.mdoc
  zip_stat_init.mdoc
  zip_unchange.mdoc
  zip_unchange_all.mdoc
  zip_unchange_archive.mdoc
)
SET(MDOC1_PAGES
  zipcmp.mdoc
  zipmerge.mdoc
)
SET(MDOC_PAGES ${MDOC1_PAGES} ${MDOC3_PAGES})
STRING(REGEX REPLACE .mdoc "" MAN1_PAGES "${MDOC1_PAGES}")
STRING(REGEX REPLACE .mdoc "" MAN3_PAGES "${MDOC3_PAGES}")
SET(MAN_PAGES ${MAN1_PAGES} ${MAN3_PAGES})

IF(CMAKE_SYSTEM_NAME MATCHES BSD)
  SET(MANFMT mdoc)
ELSE(CMAKE_SYSTEM_NAME MATCHES BSD)
  SET(MANFMT man)
ENDif(CMAKE_SYSTEM_NAME MATCHES BSD)

# installation

SET(MAN_PATH man)

FOREACH(MAN_PAGE ${MAN1_PAGES})
  INSTALL(FILES ${MAN_PAGE}.${MANFMT} DESTINATION ${MAN_PATH}/man1
    RENAME ${MAN_PAGE}.1)
ENDFOREACH(MAN_PAGE ${PROGRAMS})
FOREACH(MAN_PAGE ${MAN3_PAGES})
  INSTALL(FILES ${MAN_PAGE}.${MANFMT} DESTINATION ${MAN_PATH}/man3
    RENAME ${MAN_PAGE}.3)
ENDFOREACH(MAN_PAGE ${PROGRAMS})
# TODO: usually symlinks, but I only know how to do this way
INSTALL(FILES zip_error_clear.${MANFMT} DESTINATION ${MAN_PATH}/man3
  RENAME zip_file_error_clear.3)
INSTALL(FILES zip_error_get.${MANFMT} DESTINATION ${MAN_PATH}/man3
  RENAME zip_file_error_get.3)
INSTALL(FILES zip_error_init.${MANFMT} DESTINATION ${MAN_PATH}/man3
  RENAME zip_error_init_with_code.3)
INSTALL(FILES zip_file_extra_field_delete.${MANFMT} DESTINATION ${MAN_PATH}/man3
  RENAME zip_file_extra_field_delete_by_id.3)
INSTALL(FILES zip_file_extra_field_get.${MANFMT} DESTINATION ${MAN_PATH}/man3
  RENAME zip_file_extra_field_get_by_id.3)
INSTALL(FILES zip_file_extra_fields_count.${MANFMT} DESTINATION ${MAN_PATH}/man3
  RENAME zip_file_extra_fields_count_by_id.3)
INSTALL(FILES zip_file_add.${MANFMT} DESTINATION ${MAN_PATH}/man3
  RENAME zip_file_replace.3)
INSTALL(FILES zip_fopen.${MANFMT} DESTINATION ${MAN_PATH}/man3
  RENAME zip_fopen_index.3)
INSTALL(FILES zip_fopen_encrypted.${MANFMT} DESTINATION ${MAN_PATH}/man3
  RENAME zip_fopen_index_encrypted.3)
INSTALL(FILES zip_open.${MANFMT} DESTINATION ${MAN_PATH}/man3
  RENAME zip_open_from_source.3)
INSTALL(FILES zip_add.${MANFMT} DESTINATION ${MAN_PATH}/man3
  RENAME zip_replace.3)
INSTALL(FILES zip_source_function.${MANFMT} DESTINATION ${MAN_PATH}/man3
  RENAME zip_source_function_create.3)
INSTALL(FILES zip_stat.${MANFMT} DESTINATION ${MAN_PATH}/man3
  RENAME zip_stat_index.3)
INSTALL(FILES zip_file_strerror.${MANFMT} DESTINATION ${MAN_PATH}/man3
  RENAME zip_strerror.3)

# custom maintainer targets

#FOREACH(MAN ${MAN_PAGES})
#  ADD_CUSTOM_TARGET(${MAN}.man
#    DEPENDS ${MAN}.mdoc
#    COMMAND mandoc -T man ${CMAKE_CURRENT_SOURCE_DIR}/${MAN}.mdoc | sed '/TH/s,"NetBSD [^"]*","NiH",' > ${MAN}.new
#    COMMAND diff -I NiH ${MAN}.new ${CMAKE_CURRENT_SOURCE_DIR}/${MAN}.man || mv ${MAN}.new ${CMAKE_CURRENT_SOURCE_DIR}/${MAN}.man
#    COMMAND rm -f ${MAN}.new
#    COMMENT Updating man page ${MAN}.man
#    )
#  ADD_CUSTOM_TARGET(${MAN}.html
#    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${MAN}.mdoc
#    COMMAND mandoc -Thtml -Oman="%N.html",style=../nih-man.css ${CMAKE_CURRENT_SOURCE_DIR}/${MAN}.mdoc > ${MAN}.html
#    COMMENT Updating HTML page ${MAN}.html
#    )
#ENDFOREACH(MAN)

#STRING(REGEX REPLACE .mdoc .man MANDEPEND "${MDOC_PAGES}")
#ADD_CUSTOM_TARGET(update-man
#  DEPENDS ${MANDEPEND})

#STRING(REGEX REPLACE .mdoc .html HTMLDEPEND "${MDOC_PAGES}")
#ADD_CUSTOM_TARGET(update-html
#  DEPENDS ${HTMLDEPEND})

# TODO: strange error:
#[ 94%] zipcmp.html
#[ 97%] Built target zipcmp.html
#[ 97%] zipmerge.html
#[100%] Built target zipmerge.html
#make: don't know how to make zipcmp.html. Stop

# TODO: why are all the man pages rebuilt on a second 'make update-html'?

=== regress/CMakeLists.txt ===
ENABLE_TESTING()

CHECK_FUNCTION_EXISTS(getopt HAVE_GETOPT)
IF(NOT HAVE_GETOPT)
  SET(SRC_EXTRA_FILES ../src/getopt.c)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../src)
ENDIF(NOT HAVE_GETOPT)

SET(STANDALONE_TEST_PROGRAMS
  add_from_filep
  fopen_unchanged
#  fread
)

SET(HELPER_TEST_PROGRAMS
#  modify
#  tryopen
)

SET(GETOPT_USERS
  fread
  tryopen
)

SET(HOLE_USERS
  hole
  modify
)

SET(EXTRA_TESTS
	add_dir.test
	add_from_buffer.test
	add_from_file.test
	add_from_file_duplicate.test
	add_from_file_twice_duplicate.test
	add_from_filep.test
	add_from_stdin.test
	add_from_zip_closed.test
	add_from_zip_deflated.test
	add_from_zip_partial_deflated.test
	add_from_zip_partial_stored.test
	add_from_zip_stored.test
	add_stored.test
	add_stored_in_memory.test
	delete_add_same.test
	delete_invalid.test
	delete_last.test
	delete_multiple_last.test
	delete_multiple_partial.test
	delete_renamed_rename.test
	encrypt.test
	extra_add.test
	extra_add_multiple.test
	extra_count.test
	extra_count_by_id.test
	extra_count_ignore_zip64.test
	extra_delete.test
	extra_delete_by_id.test
	extra_get.test
	extra_get_by_id.test
	extra_set.test
	extra_set_modify_c.test
	extra_set_modify_l.test
	file_comment_encmismatch.test
	fopen_unchanged.test
	fread.test
	get_comment.test
	name_locate.test
	open_cons_extrabytes.test
	open_empty.test
	open_empty_2.test
	open_extrabytes.test
	open_filename_empty.test
	open_incons.test
	open_many_ok.test
	open_new_but_exists.test
	open_new_ok.test
	open_nonarchive.test
	open_nosuchfile.test
	open_ok.test
	open_too_short.test
	open_truncate.test
	open_zip64_ok.test
	rename_ascii.test
	rename_cp437.test
	rename_deleted.test
	rename_fail.test
	rename_ok.test
	rename_utf8.test
	rename_utf8_encmismatch.test
	set_comment_all.test
	set_comment_localonly.test
	set_comment_removeglobal.test
	set_comment_revert.test
	set_compression_deflate_to_deflate.test
	set_compression_deflate_to_store.test
	set_compression_store_to_deflate.test
	set_compression_store_to_store.test
	set_compression_unknown.test
	stat_index_cp437_guess.test
	stat_index_cp437_raw.test
	stat_index_cp437_strict.test
	stat_index_fileorder.test
	stat_index_streamed.test
	stat_index_streamed_zip64.test
	stat_index_utf8_guess.test
	stat_index_utf8_raw.test
	stat_index_utf8_strict.test
	stat_index_utf8_unmarked_strict.test
	stat_index_zip64.test
	utf-8-standardization.test
	zip64_creation.test
	zip64_stored_creation.test
)

SET(ENV{srcdir} ${CMAKE_CURRENT_SOURCE_DIR})
FOREACH(PROGRAM ${STANDALONE_TEST_PROGRAMS})
  ADD_EXECUTABLE(${PROGRAM} ${PROGRAM}.c)
  TARGET_LINK_LIBRARIES(${PROGRAM} zip)
  ADD_TEST(${PROGRAM} ${CMAKE_CURRENT_SOURCE_DIR}/runtest ${CMAKE_CURRENT_SOURCE_DIR}/${PROGRAM})
ENDFOREACH(PROGRAM ${STANDALONE_TEST_PROGRAMS})

FOREACH(PROGRAM ${HELPER_TEST_PROGRAMS})
  ADD_EXECUTABLE(${PROGRAM} ${PROGRAM}.c)
  TARGET_LINK_LIBRARIES(${PROGRAM} zip)
ENDFOREACH(PROGRAM ${HELPER_TEST_PROGRAMS})

FOREACH(PROGRAM ${GETOPT_USERS})
  ADD_EXECUTABLE(${PROGRAM} ${PROGRAM}.c ${SRC_EXTRA_FILES})
  TARGET_LINK_LIBRARIES(${PROGRAM} zip)
ENDFOREACH(PROGRAM ${GETOPT_USERS})
FOREACH(PROGRAM ${HOLE_USERS})
  ADD_EXECUTABLE(${PROGRAM} ${PROGRAM}.c ${SRC_EXTRA_FILES} source_hole.c)
  TARGET_LINK_LIBRARIES(${PROGRAM} zip)
ENDFOREACH(PROGRAM ${HOLE_USERS})

ADD_TEST(fread ${CMAKE_CURRENT_SOURCE_DIR}/runtest ${CMAKE_CURRENT_SOURCE_DIR}/fread)

FOREACH(CASE ${EXTRA_TESTS})
  ADD_TEST(${CASE} ${CMAKE_CURRENT_SOURCE_DIR}/runtest ${CMAKE_CURRENT_SOURCE_DIR}/${CASE})
ENDFOREACH(CASE ${EXTRA_TESTS})

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../lib
	${CMAKE_CURRENT_SOURCE_DIR}/../src
	${CMAKE_CURRENT_BINARY_DIR}/..)

=== debian/changelog ===
libzip (1.0.1-0ubuntu1) wily; urgency=medium

  * New upstream version.
  * libzip soname change (libzip2 -> libzip4).
  * Update symbols file.
  * Stop building the libtorrent package; removed upstream.
  * Mark libzip-dev and libzip4 as Multi-Arch: same.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2015 02:51:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Priority: optional
 Maintainer: Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, unzip, zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://www.nih.at/libzip/
 
 Package: libzip-dev
 Section: libdevel
 Architecture: any
-Depends: libzip2 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
+Multi-Arch: same
+Depends: libzip4 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
 Description: library for reading, creating, and modifying zip archives (development)
  libzip is a C library for reading, creating, and modifying zip archives. Files
  can be added from data buffers, files, or compressed data copied directly from
@@ -18,8 +19,10 @@
  This package contains the static libraries and headers for developing
  applications that use the libzip library API.
 
-Package: libzip2
+Package: libzip4
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library for reading, creating, and modifying zip archives (runtime)
  libzip is a C library for reading, creating, and modifying zip archives. Files
@@ -46,11 +49,3 @@
  zipmerge merges a source zip archives into a target zip archive.
  By default, files in the source zip archives overwrite existing files of the
  same name in the target zip archive.
-
-Package: ziptorrent
-Section: utils
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: torrentzip zip archives
- ziptorrent torrentzips archive. This is a restricted file format used for
- using bittorrent on zip files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --list-missing --with autoreconf

override_dh_link:
	install -d debian/libzip-dev/usr/include/${DEB_HOST_MULTIARCH}
	ln -s ../../lib/${DEB_HOST_MULTIARCH}/libzip/include/zipconf.h debian/libzip-dev/usr/include/${DEB_HOST_MULTIARCH}/zipconf.h
	dh_link

=== debian/watch ===
version=3
http://www.nih.at/libzip/libzip-(.*)\.tar\.gz
